<?php
  // ustawienie daty dla celów obliczeniowych
  $dzien = 18;
  $miesiac = 9;
  $rok = 1972;

  // sformatowanie daty zgodnie z normą ISO 8601
  $dataurISO = date("c", mktime (0, 0, 0, $miesiac, $dzien, $rok));
  
  // obliczenie wieku wyrażonego w dniach przy użyciu mysql
  $db = mysqli_connect('localhost', 'uzytkownik', 'haslo');
  $wynik = mysqli_query($db, "select datediff(now(), '$dataurISO')");
  $wiek = mysqli_fetch_array($wynik);
 
  // przekształcenie wieku w dniach na przybliżony wiek w latach
  echo "Twój wiek to ".floor($wiek[0]/365.25)." lat(a).";
?>
